VPR(1)

NAME
vpr, vprm, vpq, vprint - raster printer/plotter spooler

SYNOPSIS
vpr [ -lmvwW ] [ -t [ -1234 font ] ] [ -wwidth ] [ filename... ]

vprm [ id... ] [ filename ... ] [ owner ... ]

vpq

vprint [ -W ] filename ...

AVAILABILITY
This command is available with the Versatec Printer software installation option. Refer to for information on how to install optional software.

DESCRIPTION

vpr queues the named files for printing or typeset simulation on one of the available raster printer/plotters. If no files are named, the standard input is read. By default the input is assumed to be line printer-like text. For very wide plotters, the input is run through the filter /usr/lib/sidebyside giving it an argument of -w106 which arranges it four pages adjacent with 90 column lines (the rest is for the left margin). Since there are 8 lines per inch in the default printer font, vpr thus produces 86 lines per page (the top and bottom lines are left blank).

OPTIONS

-l  Print the input in a more literal manner. Page breaks are not inserted, and most control characters (except format effectors: \n, \f, etc.) are printed (many control characters print special graphics not in the ASCII character set.) TAB and underline processing is still done. If this option is not given, control characters which are not format effectors are ignored, and page breaks are inserted after an appropriate number of lines have been printed on a page.

-m  Report by mail(1) when printing is complete.

-v  Use the filter /usr/lib/vrast to convert the vectors to raster. The named files must be a parameter and vector file (in that order) created by plot(3X) routines.

-w  (Applicable only to wide output devices.) Do not run the input through sidebyside. Such processing has been done already, or full (440 character) printer width is desired.

-W  Queue files for printing on a wide output device, if available. Normally, files are queued for printing on a narrow output device.

-t  Use the filter /usr/lib/vcat to typeset the input on the printer/plotter. The input must have been generated by troff(1) run with the -t option. This is not normally run directly to wide output devices, since it is wasteful to run only one page across. The program vtroff(1) is normally used and arranges, using vsort(1) for printing to occur four pages across, conserving paper.

-1234 font
    Specify a font to be mounted on font position i. The daemon will construct a .railmag file referencing /usr/lib/vfont/name.size.

-wwidth
    Use width width rather than 90 for sidebyside.

vprm removes entries from the raster device queues. The ID, filename or owner should be that reported by vpq(1). All appropriate files will be removed. Both queues are always searched. The ID of each file removed from the queue will be printed.

vpq prints the queues. Each entry in the queue is printed showing the owner of the queue entry, an identification number, the size of the entry in characters, and the file which is to be printed. The ID is useful for removing a specific entry from the printer queue using vprm

vprint is a shell script which pr's a copy of each named file on one of the electrostatic printer/plotters. The files are normally printed on a narrow device; -W option causes them to be printed on a wide device.

FILES
/var/spool/v?d/*
    device spool areas
/usr/lib/v?d
    daemons
/usr/lib/vpd
    Versatec daemon
/usr/lib/vpf
    filter for printer simulation
/usr/lib/*vcat
    filter for typeset simulation
/usr/lib/vrast
    filter for plot
/usr/lib/sidebyside
    filter for wide output

SEE ALSO
mail(1), pti(1), troff(1), vsort(1), vtroff(1), plot(3X), vp(4), vfont(5)

BUGS
The 1's (one's) and l's (lower-case L's) in a Benson-Varian's standard character set look very similar; caution is advised.

A versatec's hardware character set is rather ugly. vprint should use one of the constant width fonts to produce prettier listings.